Subject: Less and consize aren't getting along (was Re: `less' broken on my Win98r2)
From: "Michael A. Chase" <[email-masked]>
To: "Soren Andersen" <[email-masked]>, <[email-masked]>
Cc: "Charles S. Wilson" <[email-masked]>
Date: Sat, 23 Jun 2001 14:53:59 -0700

It appears that less isn't getting the word when you set your console size.
I just typed that exact command and got a properly paginated output stream,
but I use WinNT's normal commandline window and don't use consize.

Whether it's worth following up or can be fixed will be Chuck's call.  He's
been rather busy lately.  I'm sure he will at least need to know which
Win95Cmd.exe you are using when you start cygwin.bat.  How you built consize
would probably be interesting as well.
--
Mac :})
Give a hobbit a fish and he'll eat fish for a day.
Give a hobbit a ring and he'll eat fish for an age.
----- Original Message -----
From: "Soren Andersen" <[email-masked]>
To: <[email-masked]>
Sent: Saturday, June 23, 2001 03:17
Subject: Re: `less' broken on my Win98r2

> Michael A. Chase <[email-masked]>
> wrote Re: `less' broken on my Win98r2:
>
> > I use less constantly and have not noticed that problem.  Perhaps if you
> > send an example of one of you command lines that shows the problem
someone
> > could try to reproduce the problem.
>
> uhh ... for example, `ls -l | less' ?? -- this really isn't "that kind" of
> problem.
> For one thing, there are apps like `perldoc' that pipe through less, I
have
> no control (do I ??) over how that happens.
>
> > It sounds like less is misunderstanding your screen size.  What do you
get
> > for 'stty -a'?  How do you start your Cygwin environment?
>
> I guess that this is what you mean you wanted to see:
> $ stty -a
> speed 38400 baud; rows 45; columns 98; line = 0;
>
> Looks sane to me, little that I know, but.
>
> I start Cygwin from a cygwin.bat that contains the standard (default)
> invocation: 'bash --login -i'.
>
> There's a detail which at that late hour I forgot to mention, and it is
most
> likely the most relevant one. I described that I am talking about a
Win98r2
> system, but I omitted to say that I (in my bash console) am using
> "consize.exe" (the console scroll-maker for Win9x from Chuck Wilson's
> CygUtils site). Thus perhaps there is an interaction between `con(re)size'
> and `less'.
>
> In the meantime I have downloaded a `less.exe' build from
> http://www.greenwoodsoftware.com/less/download.html
> and it seems to work.
>
> Maybe this is worth a look? I don't think there is any more information I
> can provide than  I have, however.
>
> ----- Original Message -----
> > From: "Soren Andersen" <[email-masked]>
> > To: <[email-masked]>
> > Sent: Friday, June 22, 2001 14:24
> > Subject: `less' broken on my Win98r2
> >
> >
> > > Just dandy, having a hard time with this. It seems to be a version
> number
> > > "358" -- extremely terse output.
> > >
> > > When I run it or anything tries to pipe through it, in bash [GNU bash,
> > > version 2.05.0(6)-release (i686-pc-cygwin)], a blank zone merely
appears
> > on
> > > the screen -- IOW nothing is visible of the output; only the `less'
> prompt
> > > at the bottom.
> > > Is there a "more," or some other pager, that I could use as an
> alternative
> > > until I get a working `less'?

--
Want to unsubscribe from this list?
Check out: http://cygwin.com/ml/#unsubscribe-simple